<!DOCTYPE html>
<html lang="ru">
	<head>
		<meta charset="utf-8">
		<title>HTML.pdf</title>
		<style>
			span{
				font-style: italic;
			}
		</style>
	</head>
	<body>
		<h2>HTML</h2>
		<div>Язык <b>HTML</b> интерпретируется <a href="https://ru.wikipedia.org/wiki/%D0%91%D1%80%D0%B0%D1%83%D0%B7
			%D0%B5%D1%80" style="color:black" target="_blank">браузерами</a>; полученный в результате интерпретации<br> 
			форматированный текст отображается на экране монитора компьютера или мобильного устройства.<br>
			Язык <span>HTML</span> до 5-ой версии определялся как приложение <a href="https://ru.wikipedia.org
			/wiki/SGML" target="_blank" style="color:black" title="Standard Generalized Markup Language">SGML</a> 
			(стандартного обобщённого языка<br> 
			разметки по стандарту <a href="https://ru.wikipedia.org/
			wiki/%D0%9C%D0%B5%D0%B6%D0%B4%D1%83%D0%BD%D0%B0%D1%80%D0%BE%D0%B4%D0%BD%D0%B0%D1%8F_%D0%BE%D1%80%D0%B3%D0%B0%D0%BD%D0%B8%D
			0%B7%D0%B0%D1%86%D0%B8%D1%8F_%D0%BF%D0%BE_%D1%81%D1%82%D0%B0%D0%BD%D0%B4%D0%B0%D1%80%D1%82%D0%B8%D0%B7%D0%B0%D1%86%D0%B8%D
			0%B8" style="color:black" target="_blank" title="International Organization for Standardization">ISO</a> 8879). 
			Спецификации HTML5 формулируются в<br> 
			терминах <a href="https://ru.wikipedia.org/
			wiki/Document_Object_Model" style="color:black" target="_blank" title="Document Object Model"><span>DOM</span></a> 
			(объектной модели документа).<br>
			Язык <a href="https://ru.wikipedia.org/
			wiki/XHTML" style="color:black" target="_blank" title="eXtensible Hypertext Markup Language"><span>XHTML</span></a> 
			является более строгим вариантом HTML, он следует синтаксису <a href="https://ru.wikipedia.org/
			wiki/XML" style="color:black" target="_blank" title="eXtensible Markup Language">XML</a> и является<br>
			приложением языка XML в области разметки гипертекста.<br>
			Во всемирной паутине HTML-страницы, как правило, передаются браузерам от сервера по<br>
			протоколам <a href="https://ru.wikipedia.org/
			wiki/HTTP" style="color:black" target="_blank" title="HyperText Transfer Protocol"><span>HTTP</span></a> 
			или <a href="https://ru.wikipedia.org/
			wiki/HTTPS" style="color:black" target="_blank" title="HyperText Transfer Protocol Secure"><span>HTTPS</span></a>, 
			в виде простого текста или с использованием <a href="https://ru.wikipedia.org/
			wiki/%D0%A8%D0%B8%D1%84%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5" style="color:black" target="_blank">шифрования.</a>
		</div>
			<h2>Общее представление</h2>
			<div>Язык HTML был разработан <a href="https://ru.wikipedia.org/
				wiki/%D0%92%D0%B5%D0%BB%D0%B8%D0%BA%D0%BE%D0%B1%D1%80%D0%B8%D1
				%82%D0%B0%D0%BD%D0%B8%D1%8F" style="color:black" target="_blank"><span>британским</span></a> учёным 
				<a href="https://ru.wikipedia.org/wiki/%D0%91%D0%B5%D1%80%D0%BD%D0%B5%D1%80%D1%81-%D0%9B%D0%B8,_
				%D0%A2%D0%B8%D0%BC" style="color:black" target="_blank"><b>Тимом Бернерсом-Ли</b></a> 
				приблизительно в <a href="https://ru.wikipedia.org/
				wiki/1986_%D0%B3%D0%BE%D0%B4" style="color:black" target="_blank"><span>1986</span></a>—<br>
				<a href="https://ru.wikipedia.org/
				wiki/1991_%D0%B3%D0%BE%D0%B4" style="color:black" target="_blank"><span>1991 годах</span></a> в стенах 
				<a href="https://ru.wikipedia.org/wiki/%D0%A6%D0%95%D0%A0%D0%9D" style="color:black" target="_blank" 
				title="Европейский Центр ядерных исследований"><span>ЦЕРНа</span></a> 
				в <a href="https://ru.wikipedia.org/wiki/%D0%96%D0%B5%D0%BD%D0%B5%D0%B2%D0%B0" 
				style="color:black" target="_blank"><span>Женеве</span></a> в <a href="https://ru.wikipedia.org/
				wiki/%D0%A8%D0%B2%D0%B5%D0%B9%D1%86%D0%B0%D1%80%D0%B8%D1%8F" style="color:black" target="_blank"><span>Швейцарии</span></a>. 
				HTML создавался как язык для обмена научной<br>
				и технической документацией, пригодный для использования людьми, не являющимися<br>
				специалистами в области <a href="https://ru.wikipedia.org/wiki/%D0%92%D1%91%D1%80%D1%81%D1%82%D0%BA%D0%B0_%D0%B2%D0%B5%D0%B1-
				%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86" style="color:black" 
				target="_blank" title="создание структуры гипертекстового документа на основе HTML-разметки"><span>вёрстки</span></a>. 
				HTML успешно справлялся с проблемой сложности SGML путём<br>
				определения небольшого набора структурных и <a href="https://ru.wikipedia.org/
				wiki/%D0%A1%D0%B5%D0%BC%D0%B0%D0%BD%D1%82%D0%B8%D0%BA%
				D0%B0" style="color:black" target="_blank" title="раздел лингвистики, изучающий смысловое значение единиц языка"><b>семантических</b></a> 
				элементов — дескрипторов.<br>
				Дескрипторы также часто называют <a href="https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%B3_(%D1%8F%D0%B7%D1%8B%D0%BA%D0%B8_
				%D1%80%D0%B0%D0%B7%D0%BC%D0%B5%D1%82%D0%BA%D0%B8)" style="color:black" 
				target="_blank" title="элемент языка разметки гипертекста"><span><b>«тегами»</b></span></a>. 
				С помощью HTML можно легко создать<br>
				относительно простой, но красиво оформленный документ. Помимо упрощения структуры<br>
				документа, в HTML внесена поддержка <a href="https://ru.wikipedia.org/wiki/%D0%93%D0%B8%D0%BF%D0%B5%D1%80%D1%82%D0%B5%D
				0%BA%D1%81%D1%82" style="color:black" target="_blank"><span>гипертекста</span></a>. 
				<a href="https://ru.wikipedia.org/wiki/%D0%9C%D1%83%D0%BB%D1%8C%D1%82%D0%B8%D0%BC%D0%B5%D0%B4%
				D0%B8%D0%B0" style="color:black" target="_blank"><span>Мультимедийные</span></a> 
				возможности были<br>
				добавлены позже.<br>
				Изначально язык HTML был задуман и создан как средство структурирования и форматирования<br>
				документов без их привязки к средствам воспроизведения (отображения). В идеале, текст с<br>
				разметкой HTML должен был без стилистических и структурных искажений воспроизводиться на<br>
				оборудовании с различной технической оснащённостью (цветной экран современного компьютера,<br>
				монохромный экран органайзера, ограниченный по размерам экран мобильного телефона или<br>
				устройства и программы голосового воспроизведения текстов). Однако современное применение<br>
				HTML очень далеко от его изначальной задачи. Например, тег &lt;table&gt; предназначен для создания в<br>
				документах таблиц, но иногда используется и для оформления размещения элементов на странице.<br>
				С течением времени основная идея платформо независимости языка HTML была принесена в<br>
				жертву современным потребностям в мультимедийном и графическом оформлении.<br>Браузеры<br>
				Текстовые документы, содержащие разметку на языке HTML (такие документы традиционно<br>
				имеют <a href="https://ru.wikipedia.org/
				wiki/%D0%A0%D0%B0%D1%81%D1%88%D0%B8%D1%80%D0%B5%D0%BD%D0%B8%D0%B5_%D0%B8%D0%BC%D0%B5%D0%BD%D0%B8_
				%D1%84%D0%B0%D0%B9%D0%BB%D0%B0" style="color:black" target="-blank"><span>расширение</span></a> <b>.html</b> или <b>.htm</b>), 
				обрабатываются специальными <a href="https://ru.wikipedia.org/wiki/%D0%9F%D1%80%D0%B8%D0%BA%D0%BB%D0%B0%D0%B4%D0%BD%D0%
				BE%D0%B5_%D0%BF%D1%80%D0%BE%D0%B3%D1%80%D0%B0%D0%BC%D0%BC%D0%BD%D0%BE%D0%B5_%D0%BE%D0%B1%D0%B5%D1%81%D0%BF%D0%B5%D1%87%
				D0%B5%D0%BD%D0%B8%D0%B5" style="color:black" target="_blank"><span>приложениями</span></a>, которые<br>
				отображают документ в его форматированном виде. Такие приложения, называемые «браузерами»<br>
				или «интернет-обозревателями», обычно предоставляют пользователю удобный <a href="https://ru.wikipedia.org/
				wiki/%D0%9F%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8C%D1%81%D0%BA%D0%B8%D0%B9_%D0%B
				8%D0%BD%D1%82%D0%B5%D1%80%D1%84%D0%B5%D0%B9%D1%81" style="color:black" target="_blank"><span>интерфейс</span></a> для<br>
				запроса <a href="https://ru.wikipedia.org/wiki/%D0%92%D0%B5%D0%B1-%D1%81%D1%82%D1%80
				%D0%B0%D0%BD%D0%B8%D1%86%D0%B0" style="color:black" target="_blank"><span>веб-страниц</span></a>, 
				их просмотра (и вывода на иные внешние устройства) и, при необходимости,<br>
				отправки введённых пользователем данных на сервер. Наиболее популярными на сегодняшний день<br>
				браузерами являются <a href="https://ru.wikipedia.org/wiki/Google_Chrome" style="color:black" 
				target="_blank" title="браузер, разрабатываемый компанией Google на основе свободного браузера 
				Chromium и движка Blink"><span><b>Google Chrome</b></span></a>, <a href="https://ru.wikipedia.org/
				wiki/Mozilla_Firefox" style="color:black" target="_blank" title="свободный браузер на движке 
				Quantum, разработкой и распространением которого занимается Mozilla Corporation"><span><b>Mozilla Firefox</b></span></a>, 
				<a href="https://ru.wikipedia.org/wiki/Opera" style="color:black" target="_blank" 
				title="веб-браузер и пакет прикладных программ для работы в Интернете, 
				выпускаемый компанией Opera Software"><span><b>Opera</b></span></a>, <a href="https://ru.wikipedia.org/
				wiki/Internet_Explorer" style="color:black"><span><b>Internet Explorer</b></span></a> и <a href="https://ru.wikipedia.org/
				wiki/Safari" style="color:black" target="_blank" 
				title=" браузер, разработанный корпорацией Apple и входящий в состав macOS и iOS"><span><b>Safari</b></span></a>.
			</div>
	</body>
</html>